<div fxLayout="column" *ngIf="options && options.length > 0 ; else showLoading;">
  <!-- <div style="padding: 15px; width:-webkit-fill-available; background:white;position:fixed;margin-right:8px">
    <img routerLink="/parametres" src="../../../../assets/images/ic_arrow_back_24px.png"
      style="width:20px;height:20px;cursor:pointer" />
    <span style="margin-left:8rem"><b>{{ 'EDIT_OPTIONS' | translate }}</b></span>
  </div><br><br><br> -->
  <div fxLayout="column" *ngFor="let section of options">

    <div fxLayout="row" fxLayoutAlign="space-between center" style=" border-bottom: 1px solid rgba(0,0,0,0.1);">
      <div fxLayout="row" fxLayoutGap="50px" style="padding: 20px; ">
        <span><b>{{section.group.name}}</b></span>
      </div>
      <!-- <span
        style="border-radius:5px; padding:10px; cursor:pointer; margin-right: 10px; color:white; background-color: #24d06d;"
        (click)="addOption(section.group)">
        {{ 'ADD_OPTION' | translate }}
      </span> -->
      <span style="border-radius:5px; padding:10px; cursor:pointer; margin-right: 10px;margin:5px ;color:#24d06d;"
        (click)="openEditModal(section.group)">
        {{ 'EDIT' | translate }}
      </span>
    </div>
    <div fxLayout="row" fxLayoutAlign="space-between center"
      style="border-bottom: 1px solid rgba(0,0,0,0.1); padding: 20px 10px 20px 10px "
      *ngFor="let opt  of section.options | mapToIterable">
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="cursor: pointer"
          (click)="editOption(opt.val.option, section.group.name)">
          <span> {{opt.val.option.name}} </span>
        </div>
      </div>
      <span> <b>{{opt.val.option.price}} DA</b></span>
    </div>
  </div>
  <div fxLayoutAlign="center center" style="margin:20px">
    <button class="btn btn-sauvegarder" (click)="addNewGroup()">{{ 'ADD_NEW_OPTION' | translate }}</button>
  </div>

</div>
<ng-template #showLoading>
  <app-loading-spinner></app-loading-spinner>
</ng-template>

<ng-template #content let-modal>
  <div class="modal-header" style="margin-bottom: #ffffff">
    <h5 class="modal-title">{{target?.section || ('CREATE_OPTION' | translate) }}</h5>
  </div>
  <form class="modal-body" [formGroup]="optionForm" fxLayout="column" fxLayoutGap="15px" style="padding: 5px;">
    <div class="form-group">
      <input [(ngModel)]="optionData.name" type="text" class="form-control" formControlName="name"
        [placeholder]="target?.name || ('TITLE' | translate) ">
    </div>
    <div class="form-group">
      <input [(ngModel)]="optionData.price" class="form-control" type="text" formControlName="price"
        [placeholder]="target?.price || ('PRICE' | translate)">
    </div>
  </form>
  <div class="modal-footer" style="margin-top: #ffffff">
    <button type="button" class="btn " (click)="modal.close('Close click'); updatedTarget={}; target = null"
      data-dismiss="modal">{{ 'RETURN' | translate }}</button>
    <button type="button" class="btn btn-sauvegarder" [disabled]="!optionForm.valid " #btn
      (click)="updateOption(btn)">{{ 'SAVE' | translate }}</button>
  </div>
</ng-template>


<ng-template #optionModel let-optionModel>

  <div class="modal-body" fxLayout="column" fxLayoutGap="15px"
    style="padding: 20px 15px 15px 15px;margin-bottom: #ffffff">
    <div class="form-group">
      <input [(ngModel)]="optionGroupData.name" type="text" class="form-control" style="background-color:#e7e7e7;"
        placeholder="{{'OPTION_TITLE' | translate}}">

    </div>

    <div fxLayout="column" fxLayoutGap="30px" fxLayoutAlign="space-between stretch" style="padding: 20px 0px 20px 0px">
      <p>{{ 'MIN_MAX_ADDED_PRODUCT' | translate }}</p>
      <div fxLayout="row" fxLayoutAlign="space-between center ">
        <span><b>{{ 'MIN' | translate }}</b></span>
        <input [(ngModel)]="optionGroupData.min" type="text" class="form-control"
          style="background-color:#f7f7f7; width: 40%" placeholder="0">
      </div>

      <div fxLayout="row" fxLayoutAlign="space-between center ">
        <p><b>{{ 'MAX' | translate }}</b></p>
        <input [(ngModel)]="optionGroupData.max" type="text" class="form-control"
          style="background-color:#f7f7f7; width: 40%" placeholder="0">
      </div>
      <div fxLayout="row" fxLayoutAlign=" center ">
        <button type="button" class="btn " (click)="addOption(optionGroupData)"
          style="border-color: #24d06d;color:#24d06d;margin-left: 8rem">{{ 'ADD_OPTION' | translate }}</button><br><br><br>
      </div>
    </div>
  </div>
  <div class="modal-footer" style="margin-top: #ffffff">
    <button type="button" class="btn " (click)="optionModel.close('Close click');"
      data-dismiss="optionModel">{{ 'RETURN' | translate }}</button>
    <button type="button" class="btn btn-sauvegarder" #btn (click)="addOptionGroup()">{{ 'SAVE' | translate }}</button>
  </div>
</ng-template>